## mt-st 1.1

=== debian/changelog ===
mt-st (1.1-6ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/mt-st.modprobe: (Closes: #775013)
      + Pass command-line options to the modprobe call. 

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 10 Jan 2015 00:57:28 +0100

mt-st (1.1-6) unstable; urgency=medium

  * Adopt package (Closes: #698986)
  * Import packaging into git, so add Vcs-* control fields
  * Add Homepage control field (Closes: #739693)
  * Add patch to note that erase is a 'full' erase (Closes: #739694)
  * Add man page patch regarding the mtio.h header file (Closes: #739694)
  * Fix description to no longer say it diverts mt-gnu.
    Thanks to Ben Harris for noticing! (Closes: #727112)
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Improve hardening of the package
  * Source /lib/lsb/init-functions in init script (should make the package
    work better with systemd)

 -- Iustin Pop <iustin@debian.org>  Sat, 19 Jul 2014 15:10:05 +0200

mt-st (1.1-5ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1190083) Remaining changes:
    - debian/mt-st.modprobe: Pass command-line options to the modprobe call

 -- Alessandro Losavio <alessandro.losavio@yahoo.com>  Wed, 12 Jun 2013 00:17:26 +0100

mt-st (1.1-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group <packages@qa.debian.org> (cf. #698986). 
  * Update standards version to 3.9.4 (no changes).
  * Switch to dh.
  * Rebuilding with a newer debhelper moves the udev rule to /lib/udev.
    Closes: #622566.
  * Support stshowoptions command. Closes: #650236. 
  * Don't show warning for kernels newer than 2.6. 

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 01 Jun 2013 22:52:07 +0200

mt-st (1.1-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #380353), remaining changes:
    - debian/mt-st.modprobe: Pass command-line options to the modprobe call
    - debian/control: Add Breaks on udev to get correct version

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 25 May 2009 13:57:44 -0500

mt-st (1.1-4) unstable; urgency=low

  * Add ".conf" suffix to modprobe.d snippet. Closes: #518245.
    (Just rely on a recent debhelper version to do this.)
  * Bump Standards version to 3.8.1 (no changes).
  * Add a remark for mtio.h (taken from glibc) to debian/copyright.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 20 Mar 2009 02:28:53 +0100

mt-st (1.1-3) unstable; urgency=low

  * Document that udev has invalidated both glibc and kernel
    documentation by changing the /dev/tape symlink into a
    directory. Talk about backwards-compatible changes.
    As there's no sensible default left, this is all I can do.
    Closes: #499152.
  * Minor packaging cleanup changes.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 01 Mar 2009 16:36:22 +0100

mt-st (1.1-2ubuntu2) jaunty; urgency=low

  * Bump build-depend on debhelper again to migrate modprobe conf file to
    correct new path.
  * debian/mt-st.modprobe: Pass command-line options to the modprobe call

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 05 Mar 2009 16:47:08 +0000

mt-st (1.1-2ubuntu1) jaunty; urgency=low

  * Bump build-depend on debhelper to install udev rules into
    /lib/udev/rules.d, add Breaks on udev to get correct version.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 13 Jan 2009 02:26:02 +0000

mt-st (1.1-2) unstable; urgency=low

  * Update debian/copyright.
  * Bump Standards version to 3.8.0.
  * Switch to debhelper v7.
  * Drop build-dep on obsolete linux-kernel-headers package.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 11 Jun 2008 23:22:29 +0200

mt-st (1.1-1) unstable; urgency=low

  * New upstream version.
  * Patches 10,12,14 have been applied upstream, 11 is obsolete;
    dropped.
  * New patch 15 to fix a couple of gcc warnings.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Tue, 27 May 2008 15:19:12 +0200

mt-st (0.9b-6) unstable; urgency=low

  * Bump Standards version to 3.7.3 (no changes) and
    debhelper to v6.
  * Drop update-modules support. Closes: #440700.
  * Reformat and clarify copyright file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 11 Apr 2008 22:47:32 +0200

mt-st (0.9b-5) unstable; urgency=low

  * Introduce dpatch.
  * Fix an off-by-one error when reporting mode numbers. Closes: #437259.
    Thanks to Joerg Sommrey for noticing!
  * Prevent upstream from stripping the binaries. Closes: #437588.
  * Do not ignore errors from 'make clean' (upstream only does one rm -f
    there, so there's nothing to ignore anyway).

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 20 Aug 2007 01:12:09 +0200

mt-st (0.9b-4) unstable; urgency=medium

  * Fix #include statements to accommodate the linux-kernel-headers /
    linux-libc-dev transition. This closes an FTBFS bug, so raised urgency.
    Closes: #428948. Thanks to Lucas Nussbaum.
  * Add density code for LTO-3 drives. Closes: #429589. Thanks to Mike
    Castleman.
  * Add LSB header to initscript.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 15 Jun 2007 10:48:05 +0200

mt-st (0.9b-3) unstable; urgency=low

  * Work around something I believe to be a debhelper issue:
    Fix postrm exit status, closes: #381901, forwarded as #381940.
    Thanks to Eric Lavarde.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 12 Aug 2006 15:01:23 +0200

mt-st (0.9b-2) unstable; urgency=low

  * linux-kernel-headers was meant to be a _build_-dependency. Sorry.
    Adjust dependencies, closes: #378391.
  * Introduce udev rules to augment the list of scripts that may
    be triggered by module load/unload and device insertion;
    thanks to Alex Owen. Closes: #251114.
  * Entrust most of the installation/removal package scripts' content
    to debhelper.
  * Update upstream hostname in debian/copyright in order to match
    upstream's license file.
  * Include a debian/watch file.


