=== debian/control ===
Source: mt-st
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mt-st.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mt-st.git
Homepage: ftp://ftp.ibiblio.org/pub/linux/system/backup/mt-st-1.1.tar.gz

Package: mt-st
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux SCSI tape driver aware magnetic tape control (aka mt)
 Mt-st contains a version of "mt" that is aware of Linux's SCSI tape
 driver. Mt-st is able to set some esoteric control flags like tape partitions.
 .
 Mt-st provides an alternative to the GNU version of mt, in the cpio package.
 .
 It also comes with stinit, a program to be run at boot time to set up
 tape defaults.
