=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/mt-st

%:
	dh $@

override_dh_auto_install:
	install -m 644 debian/stinit.def $(DESTDIR)/etc/
	install mt $(DESTDIR)/bin/mt-st
	install stinit $(DESTDIR)/sbin/

override_dh_installman:
	cp mt.1 debian/mt-st.1
	dh_installman
	rm debian/mt-st.1
