## mt-st 1.3

=== debian/changelog ===
mt-st (1.3-2) unstable; urgency=medium

  * Small maintenance upload:
    - Move code repository to Salsa
    - Update standards version (trivial changes needed)
    - Bump debhelper compat version

 -- Iustin Pop <iustin@debian.org>  Thu, 25 Oct 2018 21:27:34 +0200

mt-st (1.3-1) unstable; urgency=medium

  * New upstream release (1.2 and 1.3), most important changes:
    - Many more density codes
    - Improve default tape device handling (check it is actually a
      character device)
    - Add support for Linux 4.6+'s ability to configure the size of tape
      partition #0 (via a negative argument to `mkpartition`)
    - Fix bug in stinit's parsing of the configuration file regarding
      per-mode definitions
    - Various man page updates
  * Update standards version to 3.9.8 (no changes)
  * Remove all current patches, as they were included upstream
  * Restrict architecture to linux-any, since this needs linux headers to
    build and also is only useful on Linux kernels
  * Redo device setting activation, removing the init script and modprobe
    configuration file (see NEWS.Debian) while keeping an improved udev
    rule (Closes: #796629, #775013).
  * Enable full hardening of the package.

 -- Iustin Pop <iustin@debian.org>  Fri, 06 May 2016 01:41:12 +0200
