=== debian/control ===
Source: mt-st
Section: admin
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/mt-st
Vcs-Git: https://salsa.debian.org/debian/mt-st.git
Homepage: https://github.com/iustin/mt-st

Package: mt-st
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux SCSI tape driver aware magnetic tape control (aka mt)
 Mt-st contains a version of "mt" that is aware of Linux's SCSI tape
 driver. Mt-st is able to set some esoteric control flags like tape partitions.
 .
 Mt-st provides an alternative to the GNU version of mt, in the cpio package.
 .
 It also comes with stinit, a program to be run at boot time to set up
 tape defaults.
