## mt-st 1.4

=== debian/changelog ===
mt-st (1.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Iustin Pop ]
  * Re-upload as I missed the janitor changes in the original 1.4-1
    release :((, even after being surprised at the old compat level…

 -- Iustin Pop <iustin@debian.org>  Sun, 30 Aug 2020 23:34:33 +0200

mt-st (1.4-1) unstable; urgency=medium

  * New upstream release (minor fixes and improvements, especially LTO-8
    and LTO-7/M8 density codes).
  * Install the bash completion script available in the new upstream
    version.

 -- Iustin Pop <iustin@debian.org>  Sun, 30 Aug 2020 23:08:21 +0200
