=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 12), bash-completion
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/mt-st
 Vcs-Git: https://salsa.debian.org/debian/mt-st.git
