=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DESTDIR = $(CURDIR)/debian/mt-st
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_install:
 	install -m 644 debian/stinit.def $(DESTDIR)/etc/
