=== debian/watch ===
version=4
# note tags are named mt-st-$ver, hence the custom regex, and that
# there's no need for filename mangle since upstream publishes
# properly-named tarballs.
opts=pgpsigurlmangle=s/$/.asc/ \
  https://github.com/iustin/mt-st/releases \
  /download/mt-st-(?:[\d\.]+?)/mt-st-v?(\d\S*)\.tar\.gz
