=== debian/changelog ===
mt-st (1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install all files below /usr, and update references to these files.
    (Closes: #1059408)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 01:17:37 +0200

mt-st (1.7-1) unstable; urgency=medium

  * New upstream release fixing a bug triggered by the test suite on
    mips64el, arm64 and s390x, but not on amd64, so was not found until
    the 1.6 upload.

 -- Iustin Pop <iustin@debian.org>  Thu, 20 Apr 2023 23:30:00 +0200

mt-st (1.6-1) unstable; urgency=medium

  * New upstream minor release, adding a couple of new density codes.
  * Note: upstream release 1.5 was broken, hence skipping it.
  * Migrate the autopkgtest suite to the new upstream test suite.

 -- Iustin Pop <iustin@debian.org>  Thu, 20 Apr 2023 00:46:01 +0200

mt-st (1.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 12 to 13.
  * Remove empty maintainer scripts: mt-st (postrm)

  [ Iustin Pop ]
  * Bump standards version. Despite the large diff, this package is simple
    so no changes needed.
  * Stop requiring root for builds.
  * Add a very basic autopkgtest, just to check that binaries exist and
    show the version.

 -- Iustin Pop <iustin@debian.org>  Mon, 23 Jan 2023 14:12:34 +0100
