=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper-compat (= 12), bash-completion
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 13),
+ bash-completion, shelltestrunner
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/mt-st
 Vcs-Git: https://salsa.debian.org/debian/mt-st.git
 Homepage: https://github.com/iustin/mt-st
+Rules-Requires-Root: no
 
 Package: mt-st
 Architecture: linux-any
