=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DESTDIR = $(CURDIR)/debian/mt-st

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	install -D -m 644 debian/stinit.def $(DESTDIR)/etc/stinit.def
	install -D mt $(DESTDIR)/usr/bin/mt-st
	install -D stinit $(DESTDIR)/usr/sbin/stinit

override_dh_installman:
	cp mt.1 debian/mt-st.1
	dh_installman
	rm debian/mt-st.1

# Default make test doesn't work due to default tape device.
override_dh_auto_test:
	TAPE= dh_auto_test
