## mt-st 1.8

=== Makefile ===
--- 
+++ 
@@ -29,9 +29,9 @@
 	.clang-format
 
 TESTFILES = $(wildcard tests/*.test)
-TESTDATAFILES = $(wildcard tests/data/*.data)
+TESTDATAFILES = $(wildcard tests/data/*)
 
-VERSION=1.7
+VERSION=1.8
 RELEASEDIR=mt-st-$(VERSION)
 TARFILE=mt-st-$(VERSION).tar.gz
 
@@ -94,12 +94,12 @@
 coverage: clean
 	$(MAKE) CFLAGS=-coverage
 	$(MAKE) check
-	lcov --capture --directory . --no-external --output-file coverage.info
-	genhtml coverage.info --output-directory out
+	lcov --capture --directory . --no-external --output-file lcov.info
+	genhtml lcov.info --output-directory out
 
 
 release-tag:
-	git tag -s -m 'Release version $(VERSION).' mt-st-$(VERSION)
+	git tag -s -m 'Release version $(VERSION)' v$(VERSION)
 
 clean:
 	rm -f *~ \#*\# *.o *.gcno *.gcda coverage.info $(PROGS) version.h
