=== debian/changelog ===
mt-st (1.8-2) unstable; urgency=medium

  * Import missed/forgotten additional fixes from #1059408; I missed that
    bug when preparing 1.8-1, sigh. The delta is not important on
    merged-usr systems, and those should be the only one installing this
    version, but let's cleanup.
  * So belatedly, acknowledging the NMU in 1.7-1.1.

 -- Iustin Pop <iustin@debian.org>  Sun, 02 Mar 2025 22:48:55 +0100

mt-st (1.8-1) unstable; urgency=medium

  * New upstream minor release.
  * Packaging improvements for adjusting to Trixie policy.

 -- Iustin Pop <iustin@debian.org>  Sun, 09 Feb 2025 22:34:48 +0100
