=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper-compat (= 13),
  bash-completion, shelltestrunner
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/mt-st
 Vcs-Git: https://salsa.debian.org/debian/mt-st.git
 Homepage: https://github.com/iustin/mt-st
