=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	dh $@ --with bash-completion
 
 override_dh_auto_install:
-	install -D -m 644 debian/stinit.def $(DESTDIR)/etc/stinit.def
-	install -D mt $(DESTDIR)/usr/bin/mt-st
-	install -D stinit $(DESTDIR)/usr/sbin/stinit
+	install -m 644 debian/stinit.def $(DESTDIR)/etc/
+	install mt $(DESTDIR)/usr/bin/mt-st
+	install stinit $(DESTDIR)/usr/sbin/
 
 override_dh_installman:
 	cp mt.1 debian/mt-st.1
