=== debian/tests/control ===
Tests: simple
Depends: @, make, shelltestrunner
